/*
-------------------------------------------------------------------
	MIDI Sequencer - Final Year Project, A.J. Green
-------------------------------------------------------------------

File Name:	Sequence.h

Description:	Prototypes for sequencer playback functions.

Author:		AJG

History:

Update	Date		Programmer	Comments
======	====		==========	========
001	29/03/94	AJG		File Created.
002     09/08/94        JPff            Midi_SeqOutInit given Boolean value
003	17/02/95	cc		Added #ifdefs for HAVE_Z8530

-------------------------------------------------------------------
*/

#ifndef _MIDI_SEQUENCE_H_
#define _MIDI_SEQUENCE_H_

#ifndef SEQUENCE_SGI
#ifndef SEQUENCE_ZILOG
#ifndef SEQUENCE_LINUX
#ifndef NO_SEQUENCE
#define NO_SEQUENCE 1
#endif /* ! NO_SEQUENCE */
#endif /* ! SEQUENCE_LINUX */
#endif /* ! SEQUENCE_ZILOG */
#endif /* ! SEQUENCE_SGI */

#ifndef NO_SEQUENCE

#ifndef SEQUENCE_LINUX
void Midi_SeqPlayFile(void);
#endif /* ! SEQUENCE_LINUX */

#else /* NO_SEQUENCE */
#define Midi_SeqPlayFile()
#endif /* ! NO_SEQUENCE */

#ifdef SEQUENCE_LINUX

void Midi_GetDeviceInfo();
void Midi_PlaybackDlg();

#define SYNTH_DEVICE 1
#define MIDI_DEVICE 2

/* ++++ USS Lite ++++*/

extern unsigned char _seqbuf[];
extern int _seqbuflen;
extern int _seqbufptr;
extern int seqfd;

extern int errno;
extern int midi_dev;

#else  /* ! SEQUENCE_LINUX */

#define Midi_GetDeviceInfo()
#define Midi_PlaybackDlg()

#endif /* SEQUENCE_LINUX */

#endif /* _MIDI_SEQUENCE_H_ */

